Hide navigation sidebar
Hide table of contents sidebar
Skip to content
ASDF Projects Tutorials Community
Back to top
View this page
Toggle table of contents sidebar

# NDArrayType

class asdf.tags.core.NDArrayType(source, shape, dtype, offset, strides, order, mask, data_callback=None)

  Bases: `object`

  Attributes Summary

  `dtype` |
  `shape` |

  Methods Summary

  `get_actual_shape`(shape, strides, dtype, ...) | Get the actual shape of an array, by computing it against the block_size if it contains a `*`.

  Attributes Documentation

  dtype
  shape

  Methods Documentation

  get_actual_shape(shape, strides, dtype, block_size)

    Get the actual shape of an array, by computing it against the block_size if it contains a `*`.